summaryrefslogtreecommitdiff
path: root/arch/powerpc/boot/install.sh
diff options
context:
space:
mode:
authorMasahiro Yamada <masahiroy@kernel.org>2021-07-29 23:19:36 +0900
committerMichael Ellerman <mpe@ellerman.id.au>2021-08-04 10:53:38 +1000
commit9bef456b20581e630ef9a13555ca04fed65a859d (patch)
tree553a725db979946b1b399eac0193a8711e0f3530 /arch/powerpc/boot/install.sh
parent156ca4e650bfb9a4259b427069caa11b5a4df3d4 (diff)
powerpc: make the install target not depend on any build artifact
The install target should not depend on any build artifact. The reason is explained in commit 19514fc665ff ("arm, kbuild: make "make install" not depend on vmlinux"). Change the PowerPC installation code in a similar way. Signed-off-by: Masahiro Yamada <masahiroy@kernel.org> Reviewed-by: Nick Desaulniers <ndesaulniers@google.com> Signed-off-by: Michael Ellerman <mpe@ellerman.id.au> Link: https://lore.kernel.org/r/20210729141937.445051-2-masahiroy@kernel.org
Diffstat (limited to 'arch/powerpc/boot/install.sh')
-rw-r--r--arch/powerpc/boot/install.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/arch/powerpc/boot/install.sh b/arch/powerpc/boot/install.sh
index 658c93ca7437..14473150ddb4 100644
--- a/arch/powerpc/boot/install.sh
+++ b/arch/powerpc/boot/install.sh
@@ -20,6 +20,20 @@
# Bail with error code if anything goes wrong
set -e
+verify () {
+ if [ ! -f "$1" ]; then
+ echo "" 1>&2
+ echo " *** Missing file: $1" 1>&2
+ echo ' *** You need to run "make" before "make install".' 1>&2
+ echo "" 1>&2
+ exit 1
+ fi
+}
+
+# Make sure the files actually exist
+verify "$2"
+verify "$3"
+
# User may have a custom install script
if [ -x ~/bin/${INSTALLKERNEL} ]; then exec ~/bin/${INSTALLKERNEL} "$@"; fi